|  | Home | Documentation | uddi2__save_USCOREservice Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__save_USCOREservice Class Reference

Schema urn:uddi-org:api_v2:"save_service". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__save_USCOREservice (struct soap *)
| Member declared in uddi2-typemap.dat. More...
| uddi2__save_USCOREservice (struct soap *, uddi2__businessService &businessService)
| Member declared in uddi2-typemap.dat. More...
| uddi2__save_USCOREservice (struct soap *, std::vector< uddi2__businessService * > businessServices)
| Member declared in uddi2-typemap.dat. More...
uddi2__serviceDetail * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo. More...
std::vector< uddi2__businessService * > | businessService
| Vector of uddi2__businessService* with length 0..unbounded. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"save_service".

Represents a request to post service information on a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137744

## Constructor & Destructor Documentation

uddi2__save_USCOREservice::uddi2__save_USCOREservice | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the save_USCOREservice class.

uddi2__save_USCOREservice::uddi2__save_USCOREservice | ( | struct soap * | soap,
|  | uddi2__businessService & | businessService
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | businessService | business service

Creates an instance of the save_USCOREservice class using the specified service.

uddi2__save_USCOREservice::uddi2__save_USCOREservice | ( | struct soap * | soap,
|  | std::vector< uddi2__businessService * > | businessServices
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | businessServices | collection of business services

Creates an instance of the save_USCOREservice class using the specified services.

## Member Function Documentation

uddi2__serviceDetail * uddi2__save_USCOREservice::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server
  [in] | authInfo | authorization token provided by the UDDI server

Returns
  A pointer to a uddi2__serviceDetail object or NULL on error

Send a request to a UDDI server to post service information on the server.

## Member Data Documentation

char* uddi2__save_USCOREservice::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

std::vector<uddi2__businessService*> uddi2__save_USCOREservice::businessService

Vector of uddi2__businessService* with length 0..unbounded.

char* uddi2__save_USCOREservice::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__save_USCOREservice::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h